﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace UltraGridMultiSortColumns
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraGrid1.DisplayLayout.ViewStyleBand = Infragistics.Win.UltraWinGrid.ViewStyleBand.OutlookGroupBy;
            ultraGrid1.DisplayLayout.Override.HeaderClickAction = Infragistics.Win.UltraWinGrid.HeaderClickAction.ExternalSortMulti;
        }

        private void ultraGrid1_AfterSortChange(object sender, Infragistics.Win.UltraWinGrid.BandEventArgs e)
        {
            if (!e.Band.Columns["A"].IsGroupByColumn && e.Band.Columns["A"].SortIndicator == Infragistics.Win.UltraWinGrid.SortIndicator.None)
            {
                e.Band.SortedColumns.Add("A",true);
               // e.Band.Columns["A"].SortIndicator = Infragistics.Win.UltraWinGrid.SortIndicator.Descending;
            }
            if (!e.Band.Columns["B"].IsGroupByColumn && e.Band.Columns["B"].SortIndicator == Infragistics.Win.UltraWinGrid.SortIndicator.None)
            {
                e.Band.Columns["B"].SortIndicator = Infragistics.Win.UltraWinGrid.SortIndicator.Descending;
            }

        }
    }
}
